Ruby 1.9.1 for Fedora

Jeroen van Meeuwen kanarip at
Wed Feb 3 14:27:04 UTC 2010

Hi there,

I'm still struggling with ruby-1.9.1, and there's a couple of
showstoppers and hurdles I wanted to talk about.

First of all, let's forget about the targetted Fedora 13 milestone; it's
just not going to happen.

Second; ruby-shadow doesn't compile with ruby-1.9.1

Third; The multiple ruby parallel stacks thing is throwing up a bunch of
problems beyond what I'm capable of solving myself. I would like to
propose that either we remove the desired feature of being able to have
parallel stacks in the first place, or start working on it together
(keyword: together!). If nothing else, we can always set up the ruby
stack to allow us to add back other versions of ruby should we need to
(and once we're able to).

What do you think?

-- Jeroen

More information about the ruby-sig mailing list